| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# HistoryObj Class Reference

`#include <GaudiKernel/HistoryObj.h>`

Inheritance diagram for HistoryObj:

[legend]
Collaboration diagram for HistoryObj:

[legend]
List of all members.

## Detailed Description

Base class for History Objects.

Author:
  Charles Leggett

Date:
  Jul 13 2004

Definition at line 18 of file HistoryObj.h.

## Public Member Functions
| HistoryObj ()
virtual | ~HistoryObj ()
virtual const CLID & | clID () const
| Retrieve reference to class definition structure.
## Static Public Member Functions
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access).

## Constructor & Destructor Documentation

HistoryObj::HistoryObj | ( |  | ) |

Definition at line 15 of file HistoryObj.cpp.

    00015                        {
    00016
    00017 }

virtual HistoryObj::~HistoryObj | ( |  | ) | `[inline, virtual]`

Definition at line 21 of file HistoryObj.h.

    00021 {};

## Member Function Documentation

virtual const CLID& HistoryObj::clID | ( |  | ) | const`[inline, virtual]`

Retrieve reference to class definition structure.

Reimplemented from DataObject.

Reimplemented in AlgorithmHistory, AlgToolHistory, DataHistory, JobHistory, and ServiceHistory.

Definition at line 23 of file HistoryObj.h.

References classID().

    00023 { return HistoryObj::classID(); }

const CLID & HistoryObj::classID | ( |  | ) | `[static]`

Retrieve reference to class definition structure (static access).

Reimplemented from DataObject.

Reimplemented in AlgorithmHistory, AlgToolHistory, DataHistory, JobHistory, and ServiceHistory.

Definition at line 20 of file HistoryObj.cpp.

Referenced by clID().

    00020                     {
    00021
    00022   static CLID CLID_HistoryObj = 86452397;
    00023   return CLID_HistoryObj;
    00024
    00025 }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/HistoryObj.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/HistoryObj.cpp